xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Spencer Janssen <spencerjanssen@gmail.com>
License | BSD-style (see LICENSE)
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Util.Dmenu

Contents

- Usage

Description

A convenient binding to dmenu.

Requires the process-1.0 package

Synopsis

- dmenu :: MonadIO m => [String] -> m String
- dmenuXinerama :: [String] -> X String
- dmenuMap :: MonadIO m => Map String a -> m (Maybe a)
- menu :: MonadIO m => String -> [String] -> m String
- menuArgs :: MonadIO m => String -> [String] -> [String] -> m String
- menuMap :: MonadIO m => String -> Map String a -> m (Maybe a)
- menuMapArgs :: MonadIO m => String -> [String] -> Map String a -> m (Maybe a)

# Usage

You can use this module with the following in your Config.hs file:

    import XMonad.Util.Dmenu

These functions block xmonad's event loop until dmenu exits; this means that programs will not be able to open new windows and you will not be able to change workspaces or input focus until you have responded to the prompt one way or another.

dmenu :: MonadIO m => [String] -> m String Source #

Run dmenu to select an option from a list.

dmenuXinerama :: [String] -> X String Source #

Starts dmenu on the current screen. Requires this patch to dmenu: http://www.jcreigh.com/dmenu/dmenu-3.2-xinerama.patch

dmenuMap :: MonadIO m => Map String a -> m (Maybe a) Source #

Run dmenu to select an entry from a map based on the key.

menu :: MonadIO m => String -> [String] -> m String Source #

like `dmenu` but also takes the command to run.

menuArgs :: MonadIO m => String -> [String] -> [String] -> m String Source #

Like `menu` but also takes a list of command line arguments.

menuMap :: MonadIO m => String -> Map String a -> m (Maybe a) Source #

Like `dmenuMap` but also takes the command to run.

menuMapArgs :: MonadIO m => String -> [String] -> Map String a -> m (Maybe a) Source #

Like `menuMap` but also takes a list of command line arguments.